summaryrefslogtreecommitdiffstats
path: root/graphics/teighaviewer
diff options
context:
space:
mode:
Diffstat (limited to 'graphics/teighaviewer')
-rw-r--r--graphics/teighaviewer/README2
-rw-r--r--graphics/teighaviewer/doinst.sh10
-rw-r--r--graphics/teighaviewer/slack-desc19
-rw-r--r--graphics/teighaviewer/teighaviewer.SlackBuild69
-rw-r--r--graphics/teighaviewer/teighaviewer.info10
-rw-r--r--graphics/teighaviewer/teighaviewer.sh3
6 files changed, 113 insertions, 0 deletions
diff --git a/graphics/teighaviewer/README b/graphics/teighaviewer/README
new file mode 100644
index 0000000000..fd46d76fcc
--- /dev/null
+++ b/graphics/teighaviewer/README
@@ -0,0 +1,2 @@
+TeighaViewer is a free rendering application, which can render
+.dwg and .dgn files.
diff --git a/graphics/teighaviewer/doinst.sh b/graphics/teighaviewer/doinst.sh
new file mode 100644
index 0000000000..1f8ff67ded
--- /dev/null
+++ b/graphics/teighaviewer/doinst.sh
@@ -0,0 +1,10 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/graphics/teighaviewer/slack-desc b/graphics/teighaviewer/slack-desc
new file mode 100644
index 0000000000..56f0b3c6c2
--- /dev/null
+++ b/graphics/teighaviewer/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+teighaviewer: teighaviewer (DWG and DGN file viewer)
+teighaviewer:
+teighaviewer: TeighaViewer is a free rendering application, which can render
+teighaviewer: .dwg and .dgn files.
+teighaviewer:
+teighaviewer: Homepage: http://www.opendesign.com/guestfiles/teigha_viewer
+teighaviewer:
+teighaviewer:
+teighaviewer:
+teighaviewer:
+teighaviewer:
diff --git a/graphics/teighaviewer/teighaviewer.SlackBuild b/graphics/teighaviewer/teighaviewer.SlackBuild
new file mode 100644
index 0000000000..5db4bd23e8
--- /dev/null
+++ b/graphics/teighaviewer/teighaviewer.SlackBuild
@@ -0,0 +1,69 @@
+#!/bin/bash
+
+# Slackware build script for TeighaViewer
+
+# Copyright 2012 Fridrich von Stauffenberg <cancellor2@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=teighaviewer
+VERSION=${VERSION:-3.6.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=i386
+
+ORIG_PRGNAM=TeighaViewer
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $PKG
+ar xv $CWD/${PRGNAM}_${VERSION}_$ARCH.deb
+tar xvf data.tar.gz
+rm -f data.tar.gz control.tar.gz debian-binary
+chown -R root:root .
+find . -type d -exec chmod 755 {} \;
+find . \! -name '*.so' \! -name '*.tx*' -type f -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/lib
+mv $PKG/usr/bin/${ORIG_PRGNAM}_$VERSION $PKG/usr/lib/$ORIG_PRGNAM
+cat $CWD/$PRGNAM.sh > $PKG/usr/bin/$ORIG_PRGNAM
+chmod 755 $PKG/usr/bin/$ORIG_PRGNAM $PKG/usr/lib/$ORIG_PRGNAM/$ORIG_PRGNAM
+
+mv $PKG/usr/share/applications/${ORIG_PRGNAM}{_$VERSION,}.desktop
+sed -i 's@/usr/bin/@@g' $PKG/usr/share/applications/$ORIG_PRGNAM.desktop
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mv $PKG/usr/share/doc/$ORIG_PRGNAM/* $PKG/usr/doc/$PRGNAM-$VERSION
+rm -rf $PKG/usr/share/doc
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/teighaviewer/teighaviewer.info b/graphics/teighaviewer/teighaviewer.info
new file mode 100644
index 0000000000..2dc52c93fe
--- /dev/null
+++ b/graphics/teighaviewer/teighaviewer.info
@@ -0,0 +1,10 @@
+PRGNAM="teighaviewer"
+VERSION="3.6.0"
+HOMEPAGE="http://www.opendesign.com/guestfiles/teigha_viewer"
+DOWNLOAD="http://www.opendesign.com/files/guestdownloads/TeighaViewer/teighaviewer_3.6.0_i386.deb"
+MD5SUM="659067c52846dad1dc90796d5bdad7d7"
+DOWNLOAD_x86_64="UNTESTED"
+MD5SUM_x86_64=""
+MAINTAINER="Fridrich von Stauffenberg"
+EMAIL="cancellor2@gmail.com"
+APPROVED="rworkman"
diff --git a/graphics/teighaviewer/teighaviewer.sh b/graphics/teighaviewer/teighaviewer.sh
new file mode 100644
index 0000000000..e9e1de44bc
--- /dev/null
+++ b/graphics/teighaviewer/teighaviewer.sh
@@ -0,0 +1,3 @@
+#!/bin/sh
+export LD_LIBRARY_PATH=/usr/lib/TeighaViewer:$LD_LIBRARY_PATH
+exec /usr/lib/TeighaViewer/TeighaViewer "$@"